@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Neonderthaw&family=Playwrite+DE+SAS:wght@100..400&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');


* {
    font-family: "Roboto", sans-serif;
    padding: 0;
    margin: 0;
    box-sizing: border-box;

}

body {
    height: 100vh;
    background: linear-gradient(to bottom, #00c851, #FFFF);
    display: flex;
    align-items: center;
    justify-content: center;
}

.pozadina {
    display: flex;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: flex-start;
}


/* Lijeva strana */
.prvi {
    position: relative;
    width: 40%;
    height: 100vh;
    background: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-top-right-radius: 500px;
    border-bottom-right-radius: 500px;
    text-align: center;
}

.prvi img {
    width: 300px;
    margin-bottom: 20px;
}

.naslov {
    color: #00B64F;
    font-size: 50px;
    font-weight: 900;
}

.slogan {
    color: #00B64F;
    margin-top: 10px;
    font-style: italic;
}

/* Desna strana (login forma) */
.drugi {
    width: 60%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

}

.registracija {
    height: 70vh;
    width: 60%;

    background: white;
    /* margin-left: -50px; lagano preklapanje da izgleda zaobljeno */
    border-radius: 5px 40px 5px 40px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;

}

.login {
    height: 70vh;
    width: 60%;

    background: white;
    /* margin-left: -50px; lagano preklapanje da izgleda zaobljeno */
    border-radius: 5px 40px 5px 40px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    align-self: center;

}

.registracija form {
    width: 80%;
    max-width: 300px;
    text-align: center;
}

#login-form {
    width: 80%;
    max-width: 300px;
    text-align: center;

}


.login h2,
.registracija h2 {
    color: #00a843;
    margin-bottom: 20px;
}

input[type="email"],
input[type="password"],
input[type="text"] {
    width: 100%;
    padding: 10px;
    margin-bottom: 15px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

button {
    width: 100%;
    background: #00a843;
    color: white;
    border: none;
    padding: 10px;
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
    text-align: center;
}

button:hover {
    background: #007e33;
}

.z_lozinku {
    display: inline-block;
    margin-top: 10px;
    font-size: 14px;
    color: #007e33;
    text-decoration: none;
}

@media (max-width: 768px) {

    /* Lijeva strana */
    .pozadina {
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 100%;
        align-items: center;
        justify-content: flex-start;
    }

    .prvi {
        margin-top: 2rem;
        position: relative;
        width: 45%;
        height: 20vh;
        background: white;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        border-radius: 700px;
        text-align: center;
    }

    .prvi img {
        width: 70px;
        margin-bottom: 0;
    }

    .naslov {
        color: #00B64F;
        font-size: 20px;
        font-weight: 900;
    }

    .slogan {
        color: #00B64F;
        font-style: italic;
        font-size: 10px;
    }

    /* Desna strana (login forma) */
    .drugi {
        margin-top: 3rem;
        width: 100%;
        height: 50vh;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;

    }

    .registracija {
        height: 70vh;
        width: 80%;

        background: white;
        /* margin-left: -50px; lagano preklapanje da izgleda zaobljeno */
        border-radius: 5px 40px 5px 40px;
        box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        text-align: center;

    }

    .login {
        height: 70vh;
        width: 80%;

        background: white;
        /* margin-left: -50px; lagano preklapanje da izgleda zaobljeno */
        border-radius: 5px 40px 5px 40px;
        box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        text-align: center;
        align-self: center;

    }

}

@media (max-width: 480px) {

    /* Lijeva strana */
    .pozadina {
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 100%;
        align-items: center;
        justify-content: flex-start;
    }

    .prvi {
        margin-top: 2rem;
        position: relative;
        width: 40%;
        height: 20vh;
        background: white;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        border-radius: 700px;
        text-align: center;
    }

    .prvi img {
        width: 50px;
        margin-bottom: 0;
    }

    .naslov {
        color: #00B64F;
        font-size: 20px;
        font-weight: 900;
    }

    .slogan {
        color: #00B64F;
        font-style: italic;
        font-size: 10px;
        margin-top: 0;
    }

    /* Desna strana (login forma) */
    .drugi {
        margin-top: 3rem;
        width: 100%;
        height: 50vh;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;

    }

    .registracija {
        height: 60vh;
        width: 80%;

        background: white;
        /* margin-left: -50px; lagano preklapanje da izgleda zaobljeno */
        border-radius: 5px 40px 5px 40px;
        box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        text-align: center;

    }

    .login {
        height: 70vh;
        width: 80%;

        background: white;
        /* margin-left: -50px; lagano preklapanje da izgleda zaobljeno */
        border-radius: 5px 40px 5px 40px;
        box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        text-align: center;
        align-self: center;

    }

    .login h2,
    .registracija h2 {
        color: #00a843;
        margin-bottom: 20px;
        font-size: 20px;
        margin-left: 1rem;
        margin-right: 1rem;
        margin-top: 1rem;
    }

}